package com.xzzn.ems.domain;

import java.math.BigDecimal;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 电价配置对象 ems_energy_price_config
 *
 * @author xzzn
 * @date 2025-10-09
 */
public class EmsEnergyPriceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 年份，如2025 */
    @Excel(name = "年份，如2025")
    private String year;

    /** 月份，如"9"表示9月 */
    @Excel(name = "月份，如\"9\"表示9月")
    private String month;

    /** 尖-peak电价(元/kWh) */
    @Excel(name = "尖-peak电价(元/kWh)")
    private BigDecimal peak;

    /** 峰-high电价(元/kWh) */
    @Excel(name = "峰-high电价(元/kWh)")
    private BigDecimal high;

    /** 平-flat电价(元/kWh) */
    @Excel(name = "平-flat电价(元/kWh)")
    private BigDecimal flat;

    /** 谷-valley电价(元/kWh) */
    @Excel(name = "谷-valley电价(元/kWh)")
    private BigDecimal valley;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }

    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }

    public void setPeak(BigDecimal peak)
    {
        this.peak = peak;
    }

    public BigDecimal getPeak()
    {
        return peak;
    }

    public void setHigh(BigDecimal high)
    {
        this.high = high;
    }

    public BigDecimal getHigh()
    {
        return high;
    }

    public void setFlat(BigDecimal flat)
    {
        this.flat = flat;
    }

    public BigDecimal getFlat()
    {
        return flat;
    }

    public void setValley(BigDecimal valley)
    {
        this.valley = valley;
    }

    public BigDecimal getValley()
    {
        return valley;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("siteId", getSiteId())
                .append("year", getYear())
                .append("month", getMonth())
                .append("peak", getPeak())
                .append("high", getHigh())
                .append("flat", getFlat())
                .append("valley", getValley())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
